/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

package db;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;

/**
 * The persistent class for the course database table.
 * 
 */
@Entity
@Table(name = "course")
@NamedQuery(name = "Course.findAll", query = "SELECT c FROM Course c")
public class Course implements Serializable {
  private static final long serialVersionUID = 1L;
  private Integer id;
  private String description;
  private String name;
  private List<Lecture> lectures;

  public Course() {
  }

  @Id
  @GeneratedValue(strategy = GenerationType.AUTO)
  @Column(unique = true, nullable = false)
  public Integer getId() {
    return this.id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  @Column(length = 2147483647)
  public String getDescription() {
    return this.description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  @Column(length = 30)
  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  // bi-directional many-to-one association to Lecture
  @OneToMany(mappedBy = "courseBean")
  public List<Lecture> getLectures() {
    return this.lectures;
  }

  public void setLectures(List<Lecture> lectures) {
    this.lectures = lectures;
  }

  public Lecture addLecture(Lecture lecture) {
    getLectures().add(lecture);
    lecture.setCourseBean(this);

    return lecture;
  }

  public Lecture removeLecture(Lecture lecture) {
    getLectures().remove(lecture);
    lecture.setCourseBean(null);

    return lecture;
  }

}
