/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

package db;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The persistent class for the staff database table.
 * 
 */
@Entity
@Table(name = "staff")
@NamedQuery(name = "Staff.findAll", query = "SELECT s FROM Staff s")
public class Staff implements Serializable {
  private static final long serialVersionUID = 1L;
  private Integer id;
  private String nameFirst;
  private String nameLast;
  private String pwd;
  private String userName;
  private StaffType staffTypeBean;

  public Staff() {
  }

  @Id
  @GeneratedValue(strategy = GenerationType.AUTO)
  @Column(unique = true, nullable = false)
  public Integer getId() {
    return this.id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  @Column(name = "name_first", nullable = false, length = 32)
  public String getNameFirst() {
    return this.nameFirst;
  }

  public void setNameFirst(String nameFirst) {
    this.nameFirst = nameFirst;
  }

  @Column(name = "name_last", nullable = false, length = 32)
  public String getNameLast() {
    return this.nameLast;
  }

  public void setNameLast(String nameLast) {
    this.nameLast = nameLast;
  }

  @Column(nullable = false, length = 256)
  public String getPwd() {
    return this.pwd;
  }

  public void setPwd(String pwd) {
    this.pwd = pwd;
  }

  @Column(name = "user_name", nullable = false, length = 32)
  public String getUserName() {
    return this.userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }

  // bi-directional many-to-one association to StaffType
  @ManyToOne
  @JoinColumn(name = "staff_type")
  public StaffType getStaffTypeBean() {
    return this.staffTypeBean;
  }

  public void setStaffTypeBean(StaffType staffTypeBean) {
    this.staffTypeBean = staffTypeBean;
  }

}
