/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

package db;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;

/**
 * The persistent class for the staff_type database table.
 * 
 */
@Entity
@Table(name = "staff_type")
@NamedQuery(name = "StaffType.findAll", query = "SELECT s FROM StaffType s")
public class StaffType implements Serializable {
  private static final long serialVersionUID = 1L;
  private Integer id;
  private String name;
  private List<Staff> staffs;

  public StaffType() {
  }

  @Id
  @GeneratedValue(strategy = GenerationType.AUTO)
  @Column(unique = true, nullable = false)
  public Integer getId() {
    return this.id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  @Column(length = 32)
  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  // bi-directional many-to-one association to Staff
  @OneToMany(mappedBy = "staffTypeBean")
  public List<Staff> getStaffs() {
    return this.staffs;
  }

  public void setStaffs(List<Staff> staffs) {
    this.staffs = staffs;
  }

  public Staff addStaff(Staff staff) {
    getStaffs().add(staff);
    staff.setStaffTypeBean(this);

    return staff;
  }

  public Staff removeStaff(Staff staff) {
    getStaffs().remove(staff);
    staff.setStaffTypeBean(null);

    return staff;
  }

}
