/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

package db;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The persistent class for the student_attendance database table.
 * 
 */
@Entity
@Table(name = "student_attendance")
@NamedQuery(name = "StudentAttendance.findAll", query = "SELECT s FROM StudentAttendance s")
public class StudentAttendance implements Serializable {
  private static final long serialVersionUID = 1L;
  private StudentAttendancePK id;
  private Integer lateTime;
  private Lecture lecture;
  private Student studentBean;

  public StudentAttendance() {
  }

  @EmbeddedId
  public StudentAttendancePK getId() {
    return this.id;
  }

  public void setId(StudentAttendancePK id) {
    this.id = id;
  }

  @Column(name = "late_time")
  public Integer getLateTime() {
    return this.lateTime;
  }

  public void setLateTime(Integer lateTime) {
    this.lateTime = lateTime;
  }

  // bi-directional many-to-one association to Lecture
  @ManyToOne
  @JoinColumns({
      @JoinColumn(name = "lecture_course", referencedColumnName = "course", nullable = false, insertable = false, updatable = false),
      @JoinColumn(name = "lecture_end_time", referencedColumnName = "end_time", nullable = false, insertable = false, updatable = false),
      @JoinColumn(name = "lecture_start_time", referencedColumnName = "start_time", nullable = false, insertable = false, updatable = false) })
  public Lecture getLecture() {
    return this.lecture;
  }

  public void setLecture(Lecture lecture) {
    this.lecture = lecture;
  }

  // bi-directional many-to-one association to Student
  @ManyToOne
  @JoinColumn(name = "student", nullable = false, insertable = false, updatable = false)
  public Student getStudentBean() {
    return this.studentBean;
  }

  public void setStudentBean(Student studentBean) {
    this.studentBean = studentBean;
  }

}
